# Uses of Interface
org.eclipse.emf.cdo.lm.FloatingBaseline

Packages that use FloatingBaseline
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of FloatingBaseline in org.eclipse.emf.cdo.lm

Subinterfaces of FloatingBaseline in org.eclipse.emf.cdo.lm
Modifier and Type
Interface
Description
`interface`
`Change`
A representation of the model object 'Change'.
`interface`
`Stream`
A representation of the model object 'Stream'.
Methods in org.eclipse.emf.cdo.lm that return FloatingBaseline
Modifier and Type
Method
Description
`FloatingBaseline`
BasePoint.`getBase()`
Constructors in org.eclipse.emf.cdo.lm with parameters of type FloatingBaseline
Modifier
Constructor
Description
``
`BasePoint(FloatingBaseline base, long timeStamp)`

## Uses of FloatingBaseline in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client with parameters of type FloatingBaseline
Modifier and Type
Method
Description
`ModuleDefinition`
ISystemDescriptor.`extractModuleDefinition(FloatingBaseline baseline, long timeStamp)`

## Uses of FloatingBaseline in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement FloatingBaseline
Modifier and Type
Class
Description
`class`
`ChangeImpl`
An implementation of the model object 'Change'.
`class`
`FloatingBaselineImpl`
An implementation of the model object 'Floating Baseline'.
`class`
`StreamImpl`
An implementation of the model object 'Stream'.

## Uses of FloatingBaseline in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util with parameters of type FloatingBaseline
Modifier and Type
Method
Description
`T`
LMSwitch.`caseFloatingBaseline(FloatingBaseline object)`
Returns the result of interpreting the object as an instance of 'Floating Baseline'.